Solid Edge FrameworkSupport Type Library
AddAngleBetween3Objects Method
The object that defines the Origin Point.
Specifies the coordinates of the origin object's locate point. This point is used as a proximity point while calculating the key point.
Specifies the coordinates of the origin object's locate point. This point is used as a proximity point while calculating the key point.
Specifies the coordinates of the origin object's locate point. This point is used as a proximity point while calculating the key point.
Specifies whether the object or a key point of the object is to be considered for measuring.
Specifies the object that defines the measure point.
Specifies the coordinates of the measure object's locate point This point is used as a proximity point while calculating the key point.
Specifies the coordinates of the measure object's locate point This point is used as a proximity point while calculating the key point.
Specifies the coordinates of the measure object's locate point This point is used as a proximity point while calculating the key point.
Specifies whether the object or a key point of the object is to be considered for measuring.
Specifies the center object.
Specifies the coordinates of the center object's locate point. This point is used as a proximity point while calculating the key point.
Specifies the coordinates of the center object's locate point. This point is used as a proximity point while calculating the key point.
Specifies the coordinates of the center object's locate point. This point is used as a proximity point while calculating the key point.
Specifies whether the object or a key point of the object is to be considered for measuring.
Description
Creates an angular dimension between three objects.
Syntax
Visual Basic
Public Function AddAngleBetween3Objects( _
   ByVal ele1 As Object, _
   ByVal x1 As Double, _
   ByVal y1 As Double, _
   ByVal z1 As Double, _
   ByVal keyPoint1 As Boolean, _
   ByVal ele2 As Object, _
   ByVal x2 As Double, _
   ByVal y2 As Double, _
   ByVal z2 As Double, _
   ByVal keyPoint2 As Boolean, _
   ByVal ele3 As Object, _
   ByVal x3 As Double, _
   ByVal y3 As Double, _
   ByVal z3 As Double, _
   ByVal keyPoint3 As Boolean _
) As Dimension
Parameters
ele1
The object that defines the Origin Point.
x1
Specifies the coordinates of the origin object's locate point. This point is used as a proximity point while calculating the key point.
y1
Specifies the coordinates of the origin object's locate point. This point is used as a proximity point while calculating the key point.
z1
Specifies the coordinates of the origin object's locate point. This point is used as a proximity point while calculating the key point.
keyPoint1
Specifies whether the object or a key point of the object is to be considered for measuring.
ele2
Specifies the object that defines the measure point.
x2
Specifies the coordinates of the measure object's locate point This point is used as a proximity point while calculating the key point.
y2
Specifies the coordinates of the measure object's locate point This point is used as a proximity point while calculating the key point.
z2
Specifies the coordinates of the measure object's locate point This point is used as a proximity point while calculating the key point.
keyPoint2
Specifies whether the object or a key point of the object is to be considered for measuring.
ele3
Specifies the center object.
x3
Specifies the coordinates of the center object's locate point. This point is used as a proximity point while calculating the key point.
y3
Specifies the coordinates of the center object's locate point. This point is used as a proximity point while calculating the key point.
z3
Specifies the coordinates of the center object's locate point. This point is used as a proximity point while calculating the key point.
keyPoint3
Specifies whether the object or a key point of the object is to be considered for measuring.
Remarks
This method takes the minimum required data and assumes other data from the defaults set in the collection object.
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFramework.Application
    Dim objDoc As SolidEdgePart.PartDocument
    Dim objProfile As SolidEdgePart.Profile
    Dim objL1 As SolidEdgeFrameworkSupport.Line2d
    Dim objL2 As SolidEdgeFrameworkSupport.Line2d
    Dim objL3 As SolidEdgeFrameworkSupport.Line2d
    Dim objD1 As SolidEdgeFrameworkSupport.Dimension
    Dim sDumpStatus As String    ' Used for temporary storage of datadump return string
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.PartDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    ' Create a Profile with 3 Line objects in it
    Set objProfile = objDoc.ProfileSets.Add.Profiles.Add(pRefPlaneDisp:=objDoc.RefPlanes(1))
    Set objL1 = objProfile.Lines2d.AddBy2Points(x1:=0.05, y1:=0.05, x2:=0.03, y2:=0.03)
    Set objL2 = objProfile.Lines2d.AddBy2Points(x1:=0, y1:=0, x2:=0, y2:=0.05)
    Set objL3 = objProfile.Lines2d.AddBy2Points(x1:=0, y1:=0, x2:=0.05, y2:=-0.02)
    'Set the AngleCompliment value to false, in case it is set to true
    objProfile.Dimensions.AngleCompliment = False
    'Place a Dimension
    Set objD1 = objProfile.Dimensions.AddAngleBetween3Objects(ele1:=objL3, x1:=0.05, _
                                                              y1:=0, z1:=0, keyPoint1:=True, ele2:=objL2, x2:=0, y2:=0.05, z2:=0, _
                                                              keyPoint2:=True, ele3:=objL1, x3:=0.03, y3:=0.03, z3:=0, keyPoint3:=True)
    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objProfile = Nothing
    Set objL1 = Nothing
    Set objL2 = Nothing
    Set objL3 = Nothing
    Set objD1 = Nothing
End Sub
See Also

Dimensions Collection  | Dimensions Members

Send comments on this topic.